This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 44044 - TabbedPage stealing gestures
Summary: TabbedPage stealing gestures
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-07 02:50 UTC by Zhen Liu
Modified: 2016-10-20 20:05 UTC (History)
2 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample project (65.63 KB, application/zip)
2016-09-08 03:12 UTC, Zhen Liu
Details

Description Zhen Liu 2016-09-07 02:50:36 UTC
I have a custom writing pad control on one tabbed page and it works fine with iOS. 

But on Android, finger movements started horizontally will be captured by the TabbedPage. Only finger movements started with vertical movements can be captured and processed by my writing pad.
Comment 1 Samantha Houts 2016-09-07 18:43:56 UTC
Thank you for taking the time to submit the bug. We tried to reproduce the issue you reported but were unable given the description. If you could please attach a reproduction to the bug by starting with a clean Xamarin.Forms project and adding just the code necessary to demonstrate the issue, we would very much appreciate it.  

For your convenience, we have created some reproduction best practices viewable here: https://gist.github.com/jassmith/92405c300e54a01dcc6d  

Warm regards, 
Xamarin Forms Team
Comment 2 Zhen Liu 2016-09-08 03:12:03 UTC
Created attachment 17371 [details]
Sample project

I just put a drawing pad on the Tabbedpage, and if you swipe vertically, the drawing pad catches the gesture and draws the line, if you swipe horizontally, Tabbedpage will start changing tabs.
Comment 3 Samantha Houts 2016-09-08 17:53:24 UTC
Thank you!
Comment 4 Samantha Houts 2016-10-20 20:05:23 UTC
Should be fixed in 2.3.4-pre1. Please note that you will need to opt in to this fix using the Platform Specific Feature documented here:

https://github.com/xamarin/Xamarin.Forms/pull/409

Thank you!

Note You need to log in before you can comment on or make changes to this bug.